package com.hzya.frame.dingtalk.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sysnew.application.entity.SysApplicationEntity;
import com.hzya.frame.sysnew.application.entity.SysExtensionApiEntity;

/**
 * @Description 钉钉集成扩展类
 * @Author xiangerlin
 * @Date 2024/8/28 14:25
 **/
public interface IDingTalkExtService {

    /**
     * 调用这个方法初始化钉钉参数
     * @param entity
     * @return
     */
    SysExtensionApiEntity init(SysExtensionApiEntity entity);

    /**
     * 查询配置在应用上的钉钉参数
     * @param sysApplication
     * @return
     */
    JSONObject getDingTalkConfig(SysApplicationEntity sysApplication);

    /**
     * 清空配置缓存
     */
    void clearDingTalkConfigCatch();
}
