package com.hzya.frame.report.reportClassify.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.report.reportClassify.entity.ReportClassifyEntity;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * 报表分类表(ReportClassify)表服务接口
 *
 * @author makejava
 * @since 2024-05-21 15:03:14
 */
public interface IReportClassifyService extends IBaseService<ReportClassifyEntity, String>{

    /**
     * @Author lvleigang
     * @Description  查询分类树
     * @Date 3:14 下午 2024/5/21
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    JsonResultEntity queryEntityTree(JSONObject jsonObject);


    /**
     * @Author lvleigang
     * @Description  保存分类
     * @Date 3:16 下午 2024/5/21
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    JsonResultEntity saveEntity(JSONObject jsonObject);


    /**
     * @Author lvleigang
     * @Description  获取分类
     * @Date 3:16 下午 2024/5/21
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    JsonResultEntity getEntity(JSONObject jsonObject);


    /**
     * @Author lvleigang
     * @Description  修改分类
     * @Date 3:16 下午 2024/5/21
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    JsonResultEntity updateEntity(JSONObject jsonObject);


    /**
     * @Author lvleigang
     * @Description  删除分类
     * @Date 3:16 下午 2024/5/21
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    JsonResultEntity deleteEntity(JSONObject jsonObject);

}
