package com.hzya.frame.sys.apireflection.dao;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.sys.apireflection.entity.ApiReflectionDetailEntity;
import com.hzya.frame.sys.apireflection.entity.ApiReflectionEntity;

import java.util.List;

/**
 * @description: 接口映射配置  dao
 * @tableName: sys_api_reflection
 * @entityName: ApiReflectionEntity
 * @author: gjh
 * @history: 1.0
 */
public interface IApiReflectionDao extends IBaseDao<ApiReflectionEntity, String> {

     /**
      * 查询所有
      * @param apiReflectionEntity
      * @return
      */
     //List<ApiReflectionEntity> queryList(ApiReflectionEntity apiReflectionEntity);

     /**
      * 根据id获取数据
      * @param id
      * @return
      */
     ApiReflectionEntity queryOneById(String id);

     /**
      * 保存
      * @param apiReflectionEntity
      * @return
      */

     ApiReflectionEntity saveApiReflection(ApiReflectionEntity apiReflectionEntity);

     /**
      * 修改
      * @return
      */
     Integer updateApiReflection(ApiReflectionEntity apiReflectionEntity);

     Integer deleteApiReflection(String id);


}
