package com.hzya.frame.sys.apireflection.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.hzya.frame.sys.apireflection.entity.ApiReflectionDetailEntity;
import com.hzya.frame.sys.apireflection.service.IApiReflectionDetailService;
import com.hzya.frame.sys.apireflection.dao.IApiReflectionDetailDao;
import com.hzya.frame.basedao.service.impl.BaseService;

/**
 * @description: 接口映射配置  service
 * @tableName: sys_api_reflection_detail
 * @entityName: ApiReflectionDetailEntity
 * @author: gjh
 * @history: 1.0
 */
@Service(value = "sys_api_reflection_detailService")
public class ApiReflectionDetailServiceImpl extends BaseService<ApiReflectionDetailEntity, String> implements IApiReflectionDetailService {

	protected IApiReflectionDetailDao apireflectiondetailDao;

	@Autowired
	public void setApiReflectionDetailDao(IApiReflectionDetailDao dao) {
		this.apireflectiondetailDao = dao;
		this.dao = dao;
	}
}
