package com.hzya.frame.sys.businessFile.dao;
import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.sys.businessFile.entity.BusinessFileEntity;

import java.util.List;

/**
 * @description: 文件业务关系  dao
 * @tableName: sys_business_file
 * @entityName: BusinessFileEntity
 * @author: gjh
 * @history: 1.0
 */
public interface IBusinessFileDao extends IBaseDao<BusinessFileEntity , Long> {
    /***
     * 根据业务条件获取根据单证编号分组的附件列表
     * @param entity
     * @return
     */
    List<BusinessFileEntity> listQueryBusinessFiles(BusinessFileEntity entity);

    /****
     * 根据服务项类型列表获取附件列表
     * @param entity
     * @return
     */
    List<BusinessFileEntity> queryBusinessFileByServiceType(BusinessFileEntity entity);
}
