package com.hzya.frame.sys.businessFile.dao.impl;

import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.businessFile.dao.IBusinessFileDao;
import com.hzya.frame.sys.businessFile.entity.BusinessFileEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @description: 文件业务关系  dao
 * @tableName: sys_business_file
 * @entityName: BusinessFileEntity
 * @author: gjh
 * @history:1.0
 */
@Repository("sys_business_filedao")
public class BusinessFileDaoImpl extends MybatisGenericDao<BusinessFileEntity, Long> implements IBusinessFileDao {

    @Override
    public List<BusinessFileEntity> listQueryBusinessFiles(BusinessFileEntity entity) {
        return super.queryList(entity, "com.hzya.frame.sys.businessFile.entity.BusinessFileEntity.BusinessFileEntity_list_base_group");
    }

    @Override
    public List<BusinessFileEntity> queryBusinessFileByServiceType(BusinessFileEntity entity) {
        return super.queryList(entity, "com.hzya.frame.sys.businessFile.entity.BusinessFileEntity.BusinessFileEntity_queryBusinessFileByServiceType");
    }
}
