package com.hzya.frame.sys.databaseFields.service.impl;

import com.hzya.frame.web.entity.BaseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.hzya.frame.serviceUtil.ServiceUtil;
import com.hzya.frame.sys.databaseFields.entity.DatabaseFields;
import com.hzya.frame.sys.databaseFields.service.IDatabaseFieldsService;
import com.hzya.frame.sys.databaseFields.dao.IDatabaseFieldsMapper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import com.hzya.frame.web.entity.BaseResult;
import com.hzya.frame.web.entity.JsonResultEntity;

import javax.annotation.Resource;



/**
 * @description: 数据库字段表  service
 * @tableName:   sys_database_fields
 * @entityName:  DatabaseFields
 * @author: 	 gjh
 * @history:	 1.0
 */
@Service(value="databasefieldsService")
public class  DatabaseFieldsServiceImpl extends ServiceUtil implements IDatabaseFieldsService{
	private final Logger logger = LoggerFactory.getLogger(this.getClass());

	@Resource
	protected IDatabaseFieldsMapper  databasefieldsMapper;

	@Override
	public JsonResultEntity test(DatabaseFields object) {
		return BaseResult.getSuccessMessageEntity("获取应用成功");
	}

}
