package com.hzya.frame.sys.databaseNames.entity;

import java.util.Date;
import cn.dev33.satoken.stp.StpUtil;
import com.hzya.frame.uuid.UUIDUtils;
import com.hzya.frame.web.entity.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
/**
 * @description: 数据库表名表
 * @tableName:   sys_database_names
 * @entityName:  DatabaseNames
 * @author: 	 llg
 * @history:	 1.0
 */
public class  DatabaseNames  extends BaseEntity {

	/** 唯一标识码 */
	private String id;
	/** Service服务名 */
	private String serviceName;
	/** 表名（英文名称） */
	private String tableName;
	/** 表名（中文名称） */
	private String tableRemark;
	/** 备注 */
	private String remark;
	/** 排序 */
	private Long sorts;
	/** 创建人id */
	private String createUserId;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	/** 修改人id */
	private String modifyUserId;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date modifyTime;
	/** 状态(Y正常N删除) */
	private String sts;
	/** 组织机构ID */
	private String orgId;
	private String sort;
	private String order;

	/** 唯一标识码 */
	public void setId(String id) {
		this.id = id;
	}
	/** 唯一标识码 */
	public String getId() {
		return id;
	}
	/** Service服务名 */
	public void setServiceName(String serviceName) {
		this.serviceName = serviceName;
	}
	/** Service服务名 */
	public String getServiceName() {
		return serviceName;
	}
	/** 表名（英文名称） */
	public void setTableName(String tableName) {
		this.tableName = tableName;
	}
	/** 表名（英文名称） */
	public String getTableName() {
		return tableName;
	}
	/** 表名（中文名称） */
	public void setTableRemark(String tableRemark) {
		this.tableRemark = tableRemark;
	}
	/** 表名（中文名称） */
	public String getTableRemark() {
		return tableRemark;
	}
	/** 备注 */
	public void setRemark(String remark) {
		this.remark = remark;
	}
	/** 备注 */
	public String getRemark() {
		return remark;
	}
	/** 排序 */
	public void setSorts(Long sorts) {
		this.sorts = sorts;
	}
	/** 排序 */
	public Long getSorts() {
		return sorts;
	}
	/** 创建人id */
	public void setCreateUserId(String createUserId) {
		this.createUserId = createUserId;
	}
	/** 创建人id */
	public String getCreateUserId() {
		return createUserId;
	}
	/** 创建时间 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	/** 创建时间 */
	public Date getCreateTime() {
		return createTime;
	}
	/** 修改人id */
	public void setModifyUserId(String modifyUserId) {
		this.modifyUserId = modifyUserId;
	}
	/** 修改人id */
	public String getModifyUserId() {
		return modifyUserId;
	}
	/** 修改时间 */
	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}
	/** 修改时间 */
	public Date getModifyTime() {
		return modifyTime;
	}
	/** 状态(Y正常N删除) */
	public void setSts(String sts) {
		this.sts = sts;
	}
	/** 状态(Y正常N删除) */
	public String getSts() {
		return sts;
	}
	/** 组织机构ID */
	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}
	/** 组织机构ID */
	public String getOrgId() {
		return orgId;
	}
	public String getSort() {
		return sort;
	}

	public void setSort(String sort) {
		this.sort = sort;
	}

	public String getOrder() {
		return order;
	}

	public void setOrder(String order) {
		this.order = order;
	}



}
