package com.hzya.frame.sys.databaseNames.service.impl;

import com.hzya.frame.web.entity.BaseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.hzya.frame.serviceUtil.ServiceUtil;
import com.hzya.frame.sys.databaseNames.entity.DatabaseNames;
import com.hzya.frame.sys.databaseNames.service.IDatabaseNamesService;
import com.hzya.frame.sys.databaseNames.dao.IDatabaseNamesMapper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import com.hzya.frame.web.entity.BaseResult;
import com.hzya.frame.web.entity.JsonResultEntity;

import javax.annotation.Resource;



/**
 * @description: 数据库表名表  service
 * @tableName:   sys_database_names
 * @entityName:  DatabaseNames
 * @author: 	 gjh
 * @history:	 1.0
 */
@Service(value="databasenamesService")
public class  DatabaseNamesServiceImpl extends ServiceUtil implements IDatabaseNamesService{
	private final Logger logger = LoggerFactory.getLogger(this.getClass());

	@Resource
	protected IDatabaseNamesMapper  databasenamesMapper;

	@Override
	public JsonResultEntity test(DatabaseNames object) {
		return BaseResult.getSuccessMessageEntity("获取应用成功");
	}

}
