package com.hzya.frame.sys.file.download.service;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.sys.file.download.entity.FileDownloadEntity;
import com.hzya.frame.sys.file.upload.entity.FileUploadDto;

import java.io.File;

/**
 * @description: 系统文件下载  service
 * @tableName:   sys_file
 * @entityName:  FileDownloadEntity
 * @author: 	 gjh
 * @history:	 1.0
 */
public interface IFileDownloadService extends IBaseService<FileDownloadEntity,Long> {
    /**
     * 根据文件新名称获取到文件所有的信息，及file文件
     * @param fileSaveName
     * @return
     * @throws Exception
     */
    FileDownloadEntity fileDownload(String fileSaveName)throws Exception;

    /**
     * 根据文件新名称获取到文件所有的信息，及file文件
     * @param fileUploadDto
     * @return
     * @throws Exception
     */
    FileDownloadEntity fileDownload(FileUploadDto fileUploadDto) ;

    FileDownloadEntity pluginZipUpate(FileUploadDto fileUploadDto)throws Exception;
}
