package com.hzya.frame.sys.projectControl.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.hzya.frame.sys.projectControl.entity.ProjectControlEntity;
import com.hzya.frame.sys.projectControl.service.IProjectControlService;
import com.hzya.frame.sys.projectControl.dao.IProjectControlDao;
import com.hzya.frame.basedao.service.impl.BaseService;

/**
 * @description: 项目对照  service
 * @tableName: sys_project_control
 * @entityName: ProjectControlEntity
 * @author: gjh
 * @history: 1.0
 */
@Service(value = "sys_project_controlService")
public class ProjectControlServiceImpl extends BaseService<ProjectControlEntity, String> implements IProjectControlService {

	protected IProjectControlDao projectcontrolDao;

	@Autowired
	public void setProjectControlDao(IProjectControlDao dao) {
		this.projectcontrolDao = dao;
		this.dao = dao;
	}
}
