package com.hzya.frame.sys.proofLog.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.hzya.frame.sys.proofLog.entity.ProofLogEntity;
import com.hzya.frame.sys.proofLog.service.IProofLogService;
import com.hzya.frame.sys.proofLog.dao.IProofLogDao;
import com.hzya.frame.basedao.service.impl.BaseService;

/**
 * @description: 凭证日志  service
 * @tableName: sys_proof_log
 * @entityName: ProofLogEntity
 * @author: gjh
 * @history: 1.0
 */
@Service(value = "sys_proof_logService")
public class ProofLogServiceImpl extends BaseService<ProofLogEntity, String> implements IProofLogService {

	protected IProofLogDao prooflogDao;

	@Autowired
	public void setProofLogDao(IProofLogDao dao) {
		this.prooflogDao = dao;
		this.dao = dao;
	}
}
