package com.hzya.frame.sys.sob.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.hzya.frame.sys.sob.entity.SobEntity;
import com.hzya.frame.sys.sob.service.ISobService;
import com.hzya.frame.sys.sob.dao.ISobDao;
import com.hzya.frame.basedao.service.impl.BaseService;

/**
 * @description: 账套档案  service
 * @tableName: sys_sob
 * @entityName: SobEntity
 * @author: gjh
 * @history: 1.0
 */
@Service(value = "sys_sobService")
public class SobServiceImpl extends BaseService<SobEntity, String> implements ISobService {

	protected ISobDao sobDao;

	@Autowired
	public void setSobDao(ISobDao dao) {
		this.sobDao = dao;
		this.dao = dao;
	}
}
