package com.hzya.frame.sys.supplierControl.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.hzya.frame.sys.supplierControl.entity.SupplierControlEntity;
import com.hzya.frame.sys.supplierControl.service.ISupplierControlService;
import com.hzya.frame.sys.supplierControl.dao.ISupplierControlDao;
import com.hzya.frame.basedao.service.impl.BaseService;

/**
 * @description: 供应商对照  service
 * @tableName: sys_supplier_control
 * @entityName: SupplierControlEntity
 * @author: gjh
 * @history: 1.0
 */
@Service(value = "sys_supplier_controlService")
public class SupplierControlServiceImpl extends BaseService<SupplierControlEntity, String> implements ISupplierControlService {

	protected ISupplierControlDao suppliercontrolDao;

	@Autowired
	public void setSupplierControlDao(ISupplierControlDao dao) {
		this.suppliercontrolDao = dao;
		this.dao = dao;
	}
}
