package com.hzya.frame.sys.templateRelation.service.impl;

import com.hzya.frame.web.entity.BaseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.hzya.frame.serviceUtil.ServiceUtil;
import com.hzya.frame.sys.templateRelation.entity.TemplateRelation;
import com.hzya.frame.sys.templateRelation.service.ITemplateRelationService;
import com.hzya.frame.sys.templateRelation.dao.ITemplateRelationMapper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import com.hzya.frame.web.entity.BaseResult;
import com.hzya.frame.web.entity.JsonResultEntity;

import javax.annotation.Resource;



/**
 * @description: 模版关系表  service
 * @tableName:   sys_template_relation
 * @entityName:  TemplateRelation
 * @author: 	 gjh
 * @history:	 1.0
 */
@Service(value="templaterelationService")
public class  TemplateRelationServiceImpl extends ServiceUtil implements ITemplateRelationService{
	private final Logger logger = LoggerFactory.getLogger(this.getClass());

	@Resource
	protected ITemplateRelationMapper  templaterelationMapper;

	@Override
	public JsonResultEntity test(TemplateRelation object) {
		return BaseResult.getSuccessMessageEntity("获取应用成功");
	}

}
