package com.hzya.frame.sys.templateViewAccredit.service.impl;

import com.hzya.frame.web.entity.BaseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.hzya.frame.serviceUtil.ServiceUtil;
import com.hzya.frame.sys.templateViewAccredit.entity.TemplateViewAccredit;
import com.hzya.frame.sys.templateViewAccredit.service.ITemplateViewAccreditService;
import com.hzya.frame.sys.templateViewAccredit.dao.ITemplateViewAccreditMapper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import com.hzya.frame.web.entity.BaseResult;
import com.hzya.frame.web.entity.JsonResultEntity;

import javax.annotation.Resource;



/**
 * @description: 模板视图授权表  service
 * @tableName:   sys_template_view_accredit
 * @entityName:  TemplateViewAccredit
 * @author: 	 gjh
 * @history:	 1.0
 */
@Service(value="templateviewaccreditService")
public class  TemplateViewAccreditServiceImpl extends ServiceUtil implements ITemplateViewAccreditService{
	private final Logger logger = LoggerFactory.getLogger(this.getClass());

	@Resource
	protected ITemplateViewAccreditMapper  templateviewaccreditMapper;

	@Override
	public JsonResultEntity test(TemplateViewAccredit object) {
		return BaseResult.getSuccessMessageEntity("获取应用成功");
	}

}
