package com.hzya.frame.sys.userModule.service.impl;

import com.hzya.frame.web.entity.BaseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.hzya.frame.serviceUtil.ServiceUtil;
import com.hzya.frame.sys.userModule.entity.UserModule;
import com.hzya.frame.sys.userModule.service.IUserModuleService;
import com.hzya.frame.sys.userModule.dao.IUserModuleMapper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import com.hzya.frame.web.entity.BaseResult;
import com.hzya.frame.web.entity.JsonResultEntity;

import javax.annotation.Resource;



/**
 * @description: 用户菜单模块管理  service
 * @tableName:   sys_user_module
 * @entityName:  UserModule
 * @author: 	 gjh
 * @history:	 1.0
 */
@Service(value="usermoduleService")
public class  UserModuleServiceImpl extends ServiceUtil implements IUserModuleService{
	private final Logger logger = LoggerFactory.getLogger(this.getClass());

	@Resource
	protected IUserModuleMapper  usermoduleMapper;

	@Override
	public JsonResultEntity test(UserModule object) {
		return BaseResult.getSuccessMessageEntity("获取应用成功");
	}

}
