package com.hzya.frame.sys.userOrg.service.impl;

import com.hzya.frame.web.entity.BaseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.hzya.frame.serviceUtil.ServiceUtil;
import com.hzya.frame.sys.userOrg.entity.UserOrg;
import com.hzya.frame.sys.userOrg.service.IUserOrgService;
import com.hzya.frame.sys.userOrg.dao.IUserOrgMapper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import com.hzya.frame.web.entity.BaseResult;
import com.hzya.frame.web.entity.JsonResultEntity;

import javax.annotation.Resource;



/**
 * @description: 人员组织表  service
 * @tableName:   sys_user_org
 * @entityName:  UserOrg
 * @author: 	 gjh
 * @history:	 1.0
 */
@Service(value="userorgService")
public class  UserOrgServiceImpl extends ServiceUtil implements IUserOrgService{
	private final Logger logger = LoggerFactory.getLogger(this.getClass());

	@Resource
	protected IUserOrgMapper  userorgMapper;

	@Override
	public JsonResultEntity test(UserOrg object) {
		return BaseResult.getSuccessMessageEntity("获取应用成功");
	}

}
