package com.hzya.frame.sys.versionParameter.service;
import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * @description: 系统菜单  service
 * @tableName:   sys_module_new 
 * @entityName:  SysModuleNewEntity
 * @author: 	 gjh
 * @history:	 1.0
 */
public interface ISysVersionParameterService {


    /**
     * @Author lvleigang
     * @Description  根据产品和版本获取参数
     * @Date 4:26 下午 2023/3/14
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    JsonResultEntity queryVersionParameter(JSONObject jsonObject);
}