package com.hzya.frame.sysnew.application.dao.impl;

import com.hzya.frame.sysnew.application.entity.SysApplicationDto;
import com.hzya.frame.sysnew.application.entity.SysApplicationEntity;
import com.hzya.frame.sysnew.application.dao.ISysApplicationDao;
import com.hzya.frame.sysnew.application.entity.SysApplicationVo;
import org.springframework.stereotype.Repository;
import com.hzya.frame.basedao.dao.MybatisGenericDao;

import java.util.List;

/**
 * 应用表(SysApplication)表数据库访问层
 *
 * @author makejava
 * @since 2023-09-22 16:22:14
 */
@Repository(value = "SysApplicationDaoImpl")
public class SysApplicationDaoImpl extends MybatisGenericDao<SysApplicationEntity, String> implements ISysApplicationDao{
    @Override
    public List<SysApplicationVo> queryApp(SysApplicationDto entity) {
        List<SysApplicationVo> o = (List<SysApplicationVo>) super.selectList(getSqlIdPrifx() + "queryApp", entity);
        return o;
    }
}

