package com.hzya.frame.sysnew.application.database.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.sysnew.application.database.entity.SysApplicationDatabaseEntity;
import com.hzya.frame.sysnew.application.database.dao.ISysApplicationDatabaseDao;
import org.springframework.stereotype.Repository;
import com.hzya.frame.basedao.dao.MybatisGenericDao;

import java.util.List;

/**
 * 数据源表(SysApplicationDatabase)表数据库访问层
 *
 * @author makejava
 * @since 2024-06-16 21:49:30
 */
@Repository(value = "SysApplicationDatabaseDaoImpl")
public class SysApplicationDatabaseDaoImpl extends MybatisGenericDao<SysApplicationDatabaseEntity, String> implements ISysApplicationDatabaseDao{
    @DS("master")
    @Override
    public List<SysApplicationDatabaseEntity> queryDSBase(SysApplicationDatabaseEntity entity) {
        List<SysApplicationDatabaseEntity> o = (List<SysApplicationDatabaseEntity>) super.selectList(getSqlIdPrifx() + "queryDSBase", entity);
        return o;
    }
}

