package com.hzya.frame.sysnew.application.plugin.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sysnew.application.plugin.entity.SysApplicationPluginEntity;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * 插件表(SysApplicationPlugin)表服务接口
 *
 * @author makejava
 * @since 2023-09-22 16:30:03
 */
public interface ISysApplicationPluginService extends IBaseService<SysApplicationPluginEntity, String>{

    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 查询应用插件列表
     * @Date 11:52 上午 2024/3/27
     **/
    JsonResultEntity queryEntity(JSONObject jsonObject);
}
