package com.hzya.frame.sysnew.archivesContrast.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sysnew.archivesContrast.entity.SysArchivesContrastEntity;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * 档案对照服务接口
 *
 * @author makejava
 * @since 2024-05-27 16:21:36
 */
public interface ISysArchivesContrastService extends IBaseService<SysArchivesContrastEntity, String>{


    /**
     * @Author lvleigang
     * @Description  查询档案列表分页
     * @Date 4:25 下午 2024/5/27
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    JsonResultEntity queryEntityPage(JSONObject jsonObject);

    /**
     * @Author lvleigang
     * @Description  查询档案列表
     * @Date 4:25 下午 2024/5/27
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    JsonResultEntity queryEntity(JSONObject jsonObject);

    /**
     * @Author lvleigang
     * @Description  保存档案
     * @Date 4:25 下午 2024/5/27
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    JsonResultEntity saveEntity(JSONObject jsonObject);

    /**
     * @Author lvleigang
     * @Description  获取档案
     * @Date 4:25 下午 2024/5/27
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    JsonResultEntity getEntity(JSONObject jsonObject);

    /**
     * @Author lvleigang
     * @Description  修改档案
     * @Date 4:25 下午 2024/5/27
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    JsonResultEntity updateEntity(JSONObject jsonObject);

    /**
     * @Author lvleigang
     * @Description  删除档案
     * @Date 4:25 下午 2024/5/27
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    JsonResultEntity deleteEntity(JSONObject jsonObject);
}
