package com.hzya.frame.sysnew.comparison.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.github.pagehelper.PageInfo;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.sysnew.application.entity.SysExtensionApiEntity;
import com.hzya.frame.sysnew.comparison.entity.ComparisonEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

public interface IComparisonService extends IBaseService<ComparisonEntity, String> {
    
    /**
     * 
     * @content 分页查询通用数据数据
     * @Param 
     * @Return 
     * @Author hecan 
     * @Date 2024/5/7 15:55
     * **/
    Object queryEntityPage(JSONObject jsonObject);

    /**
     *
     * @content 新增通用数据数据
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/5/7 16:52
     * **/
    Object saveEntity(JSONObject jsonObject);

    /**
     *
     * @content 编辑通用数据数据
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/5/9 10:19
     * **/
    Object updateEntity(JSONObject jsonObject);

    /**
     *
     * @content 删除通用数据数据
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/5/9 13:59
     * **/
    Object deleteEntity(JSONObject jsonObject);

    /**
     *
     * @content 获取应用编码和应用名称
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/6/11 11:37
     * **/
    SysExtensionApiEntity getAppNameAndCode(SysExtensionApiEntity sysExtensionApiEntity);

}
