package com.hzya.frame.sysnew.dictionaryshop.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sysnew.dictionaryshop.entity.SysDictionaryshopEntity;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * 数据字典表(SysDictionaryshop)表服务接口
 *
 * @author makejava
 * @since 2024-04-03 14:22:48
 */
public interface ISysDictionaryshopService extends IBaseService<SysDictionaryshopEntity, String> {

    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 查询数据字典列表分页
     * @Date 11:52 上午 2024/3/27
     **/
    JsonResultEntity queryEntityPage(JSONObject jsonObject);

    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 查询数据字典列表
     * @Date 11:52 上午 2024/3/27
     **/
    JsonResultEntity queryEntity(JSONObject jsonObject);
}
