package com.hzya.frame.sysnew.integratedForegroundTask.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.sysnew.integratedForegroundTask.entity.SysIntegratedForegroundTaskEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * 集成前台任务主表(SysIntegratedForegroundTask)表服务接口
 *
 * @author makejava
 * @since 2024-03-18 14:35:04
 */
public interface ISysIntegratedForegroundTaskService extends IBaseService<SysIntegratedForegroundTaskEntity, String> {

    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 查询集成前台任务列表
     * @Date 2:45 下午 2024/3/18
     **/
    JsonResultEntity queryIntegratedForegroundTask(JSONObject jsonObject);

    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 保存集成前台任务
     * @Date 2:45 下午 2024/3/18
     **/
    JsonResultEntity saveIntegratedForegroundTask(JSONObject jsonObject);

    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 修改集成前台任务
     * @Date 2:45 下午 2024/3/18
     **/
    JsonResultEntity updateIntegratedForegroundTask(JSONObject jsonObject);

    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 删除集成前台任务
     * @Date 2:45 下午 2024/3/18
     **/
    JsonResultEntity deleteIntegratedForegroundTask(JSONObject jsonObject);

    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 获取集成前台任务
     * @Date 2:45 下午 2024/3/18
     **/
    JsonResultEntity getIntegratedForegroundTask(JSONObject jsonObject);

}
