package com.hzya.frame.sysnew.integtationTaskLivingDetails.dao.impl;

import com.hzya.frame.sysnew.integtationTaskLivingDetails.entity.IntegrationTaskLivingDetailsEntity;
import com.hzya.frame.sysnew.integtationTaskLivingDetails.dao.IIntegrationTaskLivingDetailsDao;
import com.hzya.frame.sysnew.integtationTaskLivingDetails.entity.IntegrationTaskLivingDetailsVo;
import org.springframework.stereotype.Repository;
import com.hzya.frame.basedao.dao.MybatisGenericDao;

import java.util.List;

/**
 * 集成任务-实例详情(IntegrationTaskLivingDetails)表数据库访问层
 *
 * @author makejava
 * @since 2024-05-15 14:06:34
 */
@Repository(value = "IntegrationTaskLivingDetailsDaoImpl")
public class IntegrationTaskLivingDetailsDaoImpl extends MybatisGenericDao<IntegrationTaskLivingDetailsEntity, String> implements IIntegrationTaskLivingDetailsDao{
/**
 *
 * @content 保存成功日志
 * @author laborer
 * @date 2024/5/15 0015 15:34
 */
    @Override
    public IntegrationTaskLivingDetailsEntity saveSuccessLog(IntegrationTaskLivingDetailsEntity entity) {
        return super.save("com.hzya.frame.sysnew.integtationTaskLivingDetails.dao.impl.IntegrationTaskLivingDetailsDaoImpl.entity_insert_success",entity);
    }

    @Override
    public int deleteById(String id) {
        return super.delete("com.hzya.frame.sysnew.integtationTaskLivingDetails.dao.impl.IntegrationTaskLivingDetailsDaoImpl.entity_logicDelete_for_uuid",id);
    }

    @Override
    public List<IntegrationTaskLivingDetailsVo> queryPageLeftTask(IntegrationTaskLivingDetailsVo entity) {
        List<IntegrationTaskLivingDetailsVo> o = (List<IntegrationTaskLivingDetailsVo>) super.selectList(getSqlIdPrifx() + "queryPageLeftTask", entity);
        return o;
    }

    @Override
    public Integer entity_updatebyid(IntegrationTaskLivingDetailsEntity integrationTaskLivingDetailsEntity) {
        return super.update(getSqlIdPrifx() + "entity_updatebyid", integrationTaskLivingDetailsEntity);
    }

    @Override
    public Integer deleteEntity(IntegrationTaskLivingDetailsEntity integrationTaskLivingDetailsEntity) {
        return super.update(getSqlIdPrifx() + "deleteEntity", integrationTaskLivingDetailsEntity);
    }

    @Override
    public IntegrationTaskLivingDetailsEntity queryEntity(IntegrationTaskLivingDetailsEntity entity) {
        return (IntegrationTaskLivingDetailsEntity) super.selectOne(getSqlIdPrifx() + "queryEntity", entity);
    }
}

