package com.hzya.frame.sysnew.messageManage.dao.impl;

import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sysnew.messageManage.dao.ISysMessageManageDao;
import com.hzya.frame.sysnew.messageManage.entity.SysMessageManageEntity;
import com.hzya.frame.sysnew.messageManage.entity.SysMessageManagePageVo;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 消息管理主表(SysMessageManage)表数据库访问层
 *
 * @author makejava
 * @since 2023-08-28 16:45:44
 */
@Repository("SysMessageManageDaoImpl")
public class SysMessageManageDaoImpl extends MybatisGenericDao<SysMessageManageEntity, String> implements ISysMessageManageDao {

    @Override
    public List<SysMessageManagePageVo> queryListByPageVo(SysMessageManageEntity entity) {
        List<SysMessageManagePageVo> o = (List<SysMessageManagePageVo>) super.selectList(getSqlIdPrifx() + "queryListByPageVo", entity);
        return o;
    }

    @Override
    public Integer entity_count_not_id(SysMessageManageEntity entity) {

        Integer o = (Integer) super.selectOne(getSqlIdPrifx() + "entity_count_not_id", entity);
        return o;
    }
}

