package com.hzya.frame.sysnew.messageManageLog.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.sysnew.messageManageLog.entity.SysMessageManageLogEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * 消息管理日志(SysMessageManageLog)表服务接口
 *
 * @author makejava
 * @since 2023-08-28 16:48:36
 */
public interface ISysMessageManageLogService extends IBaseService<SysMessageManageLogEntity, String> {

    /**
     * @Author lvleigang
     * @Description  分页查询，转换显示字段，以及返回VO对象
     * @Date 9:45 上午 2023/8/29
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    JsonResultEntity queryPagedVo(JSONObject jsonObject);

    /**
     * @Author lvleigang
     * @Description  根据id查询对象
     * @Date 9:45 上午 2023/8/29
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    JsonResultEntity queryEntity(JSONObject jsonObject);

    /**
     * @Author lvleigang
     * @Description  修改数据
     * @Date 9:45 上午 2023/8/29
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    JsonResultEntity updateEntity(JSONObject jsonObject);

    /**
     * @Author lvleigang
     * @Description  重新发送
     * @Date 9:45 上午 2023/8/29
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    JsonResultEntity resendData(JSONObject jsonObject);
    
    /**
     * 
     * @content 每月定时备份数据到备份表中
     * @Param 
     * @Return 
     * @Author hecan 
     * @Date 2024/3/7 10:17
     * **/
    JsonResultEntity queryBackupData(JSONObject jsonObject);

    /**
     * @Author lvleigang
     * @Description  根据id查询对象
     * @Date 9:45 上午 2023/8/29
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    JsonResultEntity thirdInterfacequeryEntity(JSONObject jsonObject);
}
