package com.hzya.frame.bip.v3.v2207.dps.service;

import com.alibaba.fastjson.JSONObject;


public interface IPayMentService {
    
    /**
     * 
     * @content 获取杭泰OA付款单传递CFS
     * @Param 
     * @Return 
     * @Author hecan 
     * @Date 2023/10/16 11:59
     * **/
    String sendOAPayMentToCFS(JSONObject jsonObject, String type);
    
    /**
     * 
     * @content 获取CFS登录校验码
     * @Param 
     * @Return 
     * @Author hecan 
     * @Date 2023/10/16 13:37
     * **/
    String sendCFSToken(String name, String password);

    /**
     *
     * @content 获取杭泰OA报销单传递CFS
     * @Param
     * @Return
     * @Author hecan
     * @Date 2023/10/16 16:17
     * **/
    String sendExpenseToCFS(JSONObject jsonObject);

}
