package com.hzya.frame.seeyon.cbs8.service;

import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.seeyon.cbs8.entity.TransactionDetailEntity;

import java.util.List;

/**
 * @Description cbs交易明细 OA底表
 * @Author xiangerlin
 * @Date 2024/6/24 11:07
 **/
public interface ITransactionDetailService extends IBaseService<TransactionDetailEntity,String> {


    /**
     * 只返回交易流水号
     * @param entity
     * @return
     */
    List<TransactionDetailEntity> querySerialNumber(TransactionDetailEntity entity);

    /**
     * 保存交易明细，通过rest接口的方式
     * @param entity
     * @throws Exception
     */
    void restSave(TransactionDetailEntity entity);
}
