package com.hzya.frame.seeyon.dao;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.seeyon.entity.CapFormDefinitionEntity;
import com.hzya.frame.seeyon.entity.CtpFileEntity;
import com.hzya.frame.seeyon.paybill.entity.PayBillEntity;

import java.util.List;

/**
 *
 * @content OA字段配置表DAO
 * @className: Administrator
 * @author laborer
 * @date 2024-09-09 16:00
 *
 */

public interface ICapFormDefinitionDao extends IBaseDao<CapFormDefinitionEntity,String> {

    /**
    *
    * @content 通过模版编号获取无流程表单配置信息
    * @className: Administrator
    * @author laborer
    * @date 2024-09-09 16:02
    *
    */
    List<CapFormDefinitionEntity> getFormFiled(CapFormDefinitionEntity fieldInfo);
/**
 *
 * @content 通过主键删除单据数据
 * @className: Administrator
 * @author laborer
 * @date 2024-09-09 17:04
 *
 */

    int deleteByKey(CapFormDefinitionEntity fieldInfo);
/**
 *
 * @content 通过客户传递的数据值查询古河条件的数据
 * @className: Administrator
 * @author laborer
 * @date 2024-09-09 17:05
 *
 */

    List<CapFormDefinitionEntity> getFormFiledByFileValue(CapFormDefinitionEntity fieldInfo);
}
