package com.hzya.frame.seeyon.dao;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.seeyon.entity.CtpAttachmentEntity;

import java.util.List;

public interface ICtpAttachmentDao extends IBaseDao<CtpAttachmentEntity,String> {
    //更新数据
    @DS("#ctpAttachmentEntity.dataSourceCode")
    int updateCtpAttachment(CtpAttachmentEntity ctpAttachmentEntity);

    //根据fiel_url查询附件业务记录，如果存在则更新，如果不存在则新增
    @DS("#ctpAttachmentEntity.dataSourceCode")
    List<CtpAttachmentEntity> queryCtpAttachment(CtpAttachmentEntity ctpAttachmentEntity);

    //新增
    @DS("#ctpAttachmentEntity.dataSourceCode")
    CtpAttachmentEntity saveCtpAttachment(CtpAttachmentEntity ctpAttachmentEntity);
}
