package com.hzya.frame.seeyon.dao;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.seeyon.entity.SeeYonInterFaceEntity;

import java.util.List;
import java.util.Map;

/**
 * @author 👻👻👻👻👻👻👻👻👻👻 gjh
 * @version 1.0
 * @content
 * @date 2023-08-30 10:27
 */
public interface ISeeYonInterFaceDao {
    /***
     * 查询OA档案数据，暂时只根据ID查询，只返回ID集合，此方法暂时用于更新无流程表单判断
     * @content:
     * @author 👻👻👻👻👻👻👻👻 gjh
     * @date  2023-08-30 10:54
     * @param
     * @return java.util.List<com.hzya.frame.seeyon.entity.SeeYonInterFaceEntity>
     **/
   List<SeeYonInterFaceEntity> queryArchives(SeeYonInterFaceEntity seeYonInterFaceEntity);

   /***
    * 答应我写注释好吗
    * @content:
    * @author 👻👻👻👻👻👻👻👻 gjh
    * @date  2024-01-18 16:01
    * @param jsonObject 根据模版ID获取数据
    * @return java.util.List<com.hzya.frame.seeyon.entity.SeeYonInterFaceEntity>
    **/
    List<SeeYonInterFaceEntity> queryDefinitionInfo(SeeYonInterFaceEntity jsonObject);
    List<Map<String, Object>> queryDefinitionData(SeeYonInterFaceEntity jsonObject);

}
