package com.hzya.frame.seeyon.recbill.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.seeyon.recbill.dao.IRecBillDao;
import com.hzya.frame.seeyon.recbill.entity.RecBillEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author 👻👻👻👻👻👻👻👻👻👻 gjh
 * @version 1.0
 * @content
 * @date 2023-08-30 10:27
 */
@Repository(value = "RecBillDaoImpl")
public class RecBillDaoImpl extends MybatisGenericDao implements IRecBillDao {

    @DS("#rec.dataSourceCode")
    @Override
    public List<RecBillEntity> getOaRecBill(RecBillEntity rec) {
        return super.selectList("com.hzya.frame.seeyon.recbill.dao.impl.RecBillDaoImpl.PayBillEntity_list_base",rec);
    }
    @DS("#rec.dataSourceCode")
    @Override
    public int updateState(RecBillEntity rec) {
        return super.update("com.hzya.frame.seeyon.recbill.dao.impl.RecBillDaoImpl.PayBillEntity_update",rec);
    }
}
