package com.hzya.frame.seeyon.service;

import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.seeyon.entity.CtpAttachmentEntity;

/**
 * @Description seeyon 附件关系
 * @Author xiangerlin
 * @Date 2024/6/17 15:30
 **/
public interface ICtpAttachmentService extends IBaseService<CtpAttachmentEntity, String> {
    /**
     * 保存附件关系表
     * @param fileUrl ctp_file id
     * @param col_summary_id col_summary id
     * @param sub_reference 随机uuid
     * @return
     */
    CtpAttachmentEntity saveAttachment(String fileUrl, String col_summary_id, String sub_reference)throws Exception;
}
