package com.hzya.frame.mdm.mdmModuleSource.dao.impl;

import com.hzya.frame.mdm.mdmModuleSource.entity.MdmModuleSourceEntity;
import com.hzya.frame.mdm.mdmModuleSource.dao.IMdmModuleSourceDao;
import org.springframework.stereotype.Repository;
import com.hzya.frame.basedao.dao.MybatisGenericDao;

import java.util.List;

/**
 * 主数据数据来源(MdmModuleSource)表数据库访问层
 *
 * @author makejava
 * @since 2024-06-19 09:11:50
 */
@Repository(value = "MdmModuleSourceDaoImpl")
public class MdmModuleSourceDaoImpl extends MybatisGenericDao<MdmModuleSourceEntity, String> implements IMdmModuleSourceDao{

    //根据数据来源内类型是插件的应用类型做分组
    @Override
    public List<MdmModuleSourceEntity> MdmModuleSourceentityGroupByType() {
        List<MdmModuleSourceEntity> list =(List<MdmModuleSourceEntity>) super.selectList(getSqlIdPrifx() + "queryMdmModuleSourceentityGroupByType", "");
        return list;
    }

}

