package com.hzya.frame.sys.customerControl.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.hzya.frame.sys.customerControl.entity.CustomerControlEntity;
import com.hzya.frame.sys.customerControl.service.ICustomerControlService;
import com.hzya.frame.sys.customerControl.dao.ICustomerControlDao;
import com.hzya.frame.basedao.service.impl.BaseService;

/**
 * @description: 客户对照  service
 * @tableName: sys_customer_control
 * @entityName: CustomerControlEntity
 * @author: gjh
 * @history: 1.0
 */
@Service(value = "sys_customer_controlService")
public class CustomerControlServiceImpl extends BaseService<CustomerControlEntity, String> implements ICustomerControlService {

	protected ICustomerControlDao customercontrolDao;

	@Autowired
	public void setCustomerControlDao(ICustomerControlDao dao) {
		this.customercontrolDao = dao;
		this.dao = dao;
	}
}
