package com.hzya.frame.sys.file.upload.dao;
import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.sys.file.upload.entity.FileUploadEntity;
/**
 * @description: 系统文件上传  dao
 * @tableName: sys_file
 * @entityName: FileUploadEntity
 * @author: gjh
 * @history: 1.0
 */
public interface IFileUploadDao extends IBaseDao<FileUploadEntity , Long> {
    /***
     * 修改系统文件的存放路径，参数必须传入file的唯一saveName参数
     * @param fileUploadEntity
     */
    void updatePathBySaveName(FileUploadEntity fileUploadEntity);
}
