package com.hzya.frame.sys.file.upload.dao.impl;

import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.file.upload.dao.IFileUploadDao;
import com.hzya.frame.sys.file.upload.entity.FileUploadEntity;
import org.springframework.stereotype.Repository;

/**
 * @description: 系统文件上传  dao
 * @tableName: sys_file
 * @entityName: FileUploadEntity
 * @author: gjh
 * @history:1.0
 */
@Repository("sys_fileUploaddao")
public class FileUploadDaoImpl extends MybatisGenericDao<FileUploadEntity, Long> implements IFileUploadDao {

    @Override
    public void updatePathBySaveName(FileUploadEntity fileUploadEntity) {
        super.update("com.hzya.frame.sys.file.upload.entity.FileUploadEntity.FileUploadEntity_updatePathBySaveName", fileUploadEntity);
    }
}
