package com.hzya.frame.sys.orgControl.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.hzya.frame.sys.orgControl.entity.OrgControlEntity;
import com.hzya.frame.sys.orgControl.service.IOrgControlService;
import com.hzya.frame.sys.orgControl.dao.IOrgControlDao;
import com.hzya.frame.basedao.service.impl.BaseService;

/**
 * @description: 组织机构对照  service
 * @tableName: sys_org_control
 * @entityName: OrgControlEntity
 * @author: gjh
 * @history: 1.0
 */
@Service(value = "sys_org_controlService")
public class OrgControlServiceImpl extends BaseService<OrgControlEntity, String> implements IOrgControlService {

	protected IOrgControlDao orgcontrolDao;

	@Autowired
	public void setOrgControlDao(IOrgControlDao dao) {
		this.orgcontrolDao = dao;
		this.dao = dao;
	}
}
