package com.hzya.frame.sys.personnelControl.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.hzya.frame.sys.personnelControl.entity.PersonnelControlEntity;
import com.hzya.frame.sys.personnelControl.service.IPersonnelControlService;
import com.hzya.frame.sys.personnelControl.dao.IPersonnelControlDao;
import com.hzya.frame.basedao.service.impl.BaseService;

/**
 * @description: 人员对照  service
 * @tableName: sys_personnel_control
 * @entityName: PersonnelControlEntity
 * @author: gjh
 * @history: 1.0
 */
@Service(value = "sys_personnel_controlService")
public class PersonnelControlServiceImpl extends BaseService<PersonnelControlEntity, String> implements IPersonnelControlService {

	protected IPersonnelControlDao personnelcontrolDao;

	@Autowired
	public void setPersonnelControlDao(IPersonnelControlDao dao) {
		this.personnelcontrolDao = dao;
		this.dao = dao;
	}
}
