package com.hzya.frame.sys.productVersion.controller;



import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sys.productVersion.service.ISysProductVersionService;
import com.hzya.frame.web.entity.JsonResultEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;

/**
 * @description: 产品版本表  controller
 * @tableName: sys_product_version 
 * @entityName: sysProductVersion
 * @author: llg
 * @history: 1.0
 */

@Controller()
@RequestMapping("sysProductVersion")
public class SysProductVersionController {
    @Autowired
    protected ISysProductVersionService sysProductVersionService;


    /**
     * @Author lvleigang
     * @Description  查询产品版本
     * @Date 9:44 上午 2023/3/1
     * @param servletRequest
     * @param servletResponse
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    @RequestMapping(value = "/queryProductVersion")
    @ResponseBody
    public JsonResultEntity queryProductVersion(ServletRequest servletRequest, ServletResponse servletResponse) throws Exception  {
        return  sysProductVersionService.queryProductVersion(new JSONObject());
    }

}

