package com.hzya.frame.sys.receiptConf.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.hzya.frame.sys.receiptConf.entity.ReceiptConfEntity;
import com.hzya.frame.sys.receiptConf.service.IReceiptConfService;
import com.hzya.frame.sys.receiptConf.dao.IReceiptConfDao;
import com.hzya.frame.basedao.service.impl.BaseService;

/**
 * @description: 单据配置  service
 * @tableName: sys_receipt_conf
 * @entityName: ReceiptConfEntity
 * @author: gjh
 * @history: 1.0
 */
@Service(value = "sys_receipt_confService")
public class ReceiptConfServiceImpl extends BaseService<ReceiptConfEntity, String> implements IReceiptConfService {

	protected IReceiptConfDao receiptconfDao;

	@Autowired
	public void setReceiptConfDao(IReceiptConfDao dao) {
		this.receiptconfDao = dao;
		this.dao = dao;
	}
}
