package com.hzya.frame.sys.roleModule.service.impl;

import com.hzya.frame.web.entity.BaseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.hzya.frame.serviceUtil.ServiceUtil;
import com.hzya.frame.sys.roleModule.entity.RoleModule;
import com.hzya.frame.sys.roleModule.service.IRoleModuleService;
import com.hzya.frame.sys.roleModule.dao.IRoleModuleMapper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import com.hzya.frame.web.entity.BaseResult;
import com.hzya.frame.web.entity.JsonResultEntity;

import javax.annotation.Resource;



/**
 * @description: 角色菜单  service
 * @tableName:   sys_role_module
 * @entityName:  RoleModule
 * @author: 	 gjh
 * @history:	 1.0
 */
@Service(value="rolemoduleService")
public class  RoleModuleServiceImpl extends ServiceUtil implements IRoleModuleService{
	private final Logger logger = LoggerFactory.getLogger(this.getClass());

	@Resource
	protected IRoleModuleMapper  rolemoduleMapper;

	@Override
	public JsonResultEntity test(RoleModule object) {
		return BaseResult.getSuccessMessageEntity("获取应用成功");
	}

}
