package com.hzya.frame.sys.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sysnew.messageManageLog.entity.SysMessageManageLogEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

import java.util.List;

/**
 * @description: Esb 总线
 */
public interface IEsbService {

    /**
     * @Author lvleigang
     * @Description  ESB总线
     * @Date 9:16 上午 2023/8/30
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    JsonResultEntity doESB(JSONObject jsonObject);
    /**
     * @Author lvleigang
     * @Description  ESB总线-第三方不需要本系统登陆
     * @Date 9:16 上午 2023/8/30
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     **/
    JsonResultEntity thirdInterfaceDoESB(JSONObject jsonObject);

    boolean doEsbTaskOne(SysMessageManageLogEntity entity);
}