package com.hzya.frame.sys.tableCache.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sys.userViewFiled.entity.UserViewFiled;
import com.hzya.frame.web.entity.JsonResultEntity;
import com.hzya.frame.sys.tableCache.entity.TableCache;

/**
 * @description: 表缓存表  service
 * @tableName: sys_table_cache
 * @entityName: TableCache
 * @author: gjh
 * @history: 1.0
 */
public interface ITableCacheService {

    /**
     * @param object
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 根据模块查询个人表所有字段
     * @Date 4:57 下午 2023/6/14
     **/
    JsonResultEntity queryUserFiled(JSONObject object);


    /**
     * @param object
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 根据模块查询所有表字段
     * @Date 4:57 下午 2023/6/14
     **/
    JsonResultEntity queryFiled(JSONObject object);

    /**
     * @param object
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 查询表并且添加到数据表
     * @Date 4:57 下午 2023/6/14
     **/
    JsonResultEntity queryTableCache(JSONObject object);
}