package com.hzya.frame.sys.template.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sys.template.entity.TemplateDataDto;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * @description: 模版表  service
 * @tableName: sys_template
 * @entityName: Template
 * @author: gjh
 * @history: 1.0
 */
public interface ITemplateService {

    /**
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 添加模版以及模版类型数据结构
     * @Date 4:59 下午 2023/7/10
     **/
    JsonResultEntity saveTemplate(JSONObject object);

    /**
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 修改模版以及模版类型数据结构
     * @Date 4:59 下午 2023/7/10
     **/
    JsonResultEntity updateTemplate(JSONObject object);


}