package com.hzya.frame.sys.templateFields.service.impl;

import com.hzya.frame.web.entity.BaseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.hzya.frame.serviceUtil.ServiceUtil;
import com.hzya.frame.sys.templateFields.entity.TemplateFields;
import com.hzya.frame.sys.templateFields.service.ITemplateFieldsService;
import com.hzya.frame.sys.templateFields.dao.ITemplateFieldsMapper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import com.hzya.frame.web.entity.BaseResult;
import com.hzya.frame.web.entity.JsonResultEntity;

import javax.annotation.Resource;



/**
 * @description: 模版字段表  service
 * @tableName:   sys_template_fields
 * @entityName:  TemplateFields
 * @author: 	 gjh
 * @history:	 1.0
 */
@Service(value="templatefieldsService")
public class  TemplateFieldsServiceImpl extends ServiceUtil implements ITemplateFieldsService{
	private final Logger logger = LoggerFactory.getLogger(this.getClass());

	@Resource
	protected ITemplateFieldsMapper  templatefieldsMapper;

	@Override
	public JsonResultEntity test(TemplateFields object) {
		return BaseResult.getSuccessMessageEntity("获取应用成功");
	}

}
