package com.hzya.frame.sys.templateRelation.entity;

import java.util.Date;
import cn.dev33.satoken.stp.StpUtil;
import com.hzya.frame.uuid.UUIDUtils;
import com.hzya.frame.web.entity.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
/**
 * @description: 模版关系表
 * @tableName:   sys_template_relation
 * @entityName:  TemplateRelation
 * @author: 	 llg
 * @history:	 1.0
 */
public class  TemplateRelation  extends BaseEntity {

	/** 唯一标识码 */
	private String id;
	/** Service服务名 */
	private String parentServiceName;
	/** 表名（英文名称） */
	private String parentTableName;
	/** 主表逻辑字段，返回前台字段 */
	private String parentTableFields;
	/** 主表逻辑字段，返回前台字段 */
	private String parentTableRemark;
	/** 表名（英文名称） */
	private String childTableName;
	/** Service服务名 */
	private String childServiceName;
	/** 排序 */
	private Long sorts;
	/** 创建人id */
	private String createUserId;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	/** 修改人id */
	private String modifyUserId;
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date modifyTime;
	/** 状态(Y正常N删除) */
	private String sts;
	/** 组织机构ID */
	private String orgId;
	private String sort;
	private String order;

	/** Service服务名 */
	public void setParentServiceName(String parentServiceName) {
		this.parentServiceName = parentServiceName;
	}
	/** Service服务名 */
	public String getParentServiceName() {
		return parentServiceName;
	}
	/** 表名（英文名称） */
	public void setParentTableName(String parentTableName) {
		this.parentTableName = parentTableName;
	}
	/** 表名（英文名称） */
	public String getParentTableName() {
		return parentTableName;
	}
	/** 主表逻辑字段，返回前台字段 */
	public void setParentTableFields(String parentTableFields) {
		this.parentTableFields = parentTableFields;
	}
	/** 主表逻辑字段，返回前台字段 */
	public String getParentTableFields() {
		return parentTableFields;
	}
	/** 主表逻辑字段，返回前台字段 */
	public void setParentTableRemark(String parentTableRemark) {
		this.parentTableRemark = parentTableRemark;
	}
	/** 主表逻辑字段，返回前台字段 */
	public String getParentTableRemark() {
		return parentTableRemark;
	}
	/** 表名（英文名称） */
	public void setChildTableName(String childTableName) {
		this.childTableName = childTableName;
	}
	/** 表名（英文名称） */
	public String getChildTableName() {
		return childTableName;
	}
	/** Service服务名 */
	public void setChildServiceName(String childServiceName) {
		this.childServiceName = childServiceName;
	}
	/** Service服务名 */
	public String getChildServiceName() {
		return childServiceName;
	}
	/** 排序 */
	public void setSorts(Long sorts) {
		this.sorts = sorts;
	}
	/** 排序 */
	public Long getSorts() {
		return sorts;
	}
	/** 创建人id */
	public void setCreateUserId(String createUserId) {
		this.createUserId = createUserId;
	}
	/** 创建人id */
	public String getCreateUserId() {
		return createUserId;
	}
	/** 创建时间 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	/** 创建时间 */
	public Date getCreateTime() {
		return createTime;
	}
	/** 修改人id */
	public void setModifyUserId(String modifyUserId) {
		this.modifyUserId = modifyUserId;
	}
	/** 修改人id */
	public String getModifyUserId() {
		return modifyUserId;
	}
	/** 修改时间 */
	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}
	/** 修改时间 */
	public Date getModifyTime() {
		return modifyTime;
	}

	/** 组织机构ID */
	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}
	/** 组织机构ID */
	public String getOrgId() {
		return orgId;
	}




    @Override
    public String getId() {
        return id;
    }

    @Override
    public void setId(String id) {
        this.id = id;
    }

    @Override
    public String getSts() {
        return sts;
    }

    @Override
    public void setSts(String sts) {
        this.sts = sts;
    }

    @Override
    public String getSort() {
        return sort;
    }

    @Override
    public void setSort(String sort) {
        this.sort = sort;
    }

    @Override
    public String getOrder() {
        return order;
    }

    @Override
    public void setOrder(String order) {
        this.order = order;
    }

}
