package com.hzya.frame.sys.templateView.service.impl;

import com.hzya.frame.web.entity.BaseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.hzya.frame.serviceUtil.ServiceUtil;
import com.hzya.frame.sys.templateView.entity.TemplateView;
import com.hzya.frame.sys.templateView.service.ITemplateViewService;
import com.hzya.frame.sys.templateView.dao.ITemplateViewMapper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import com.hzya.frame.web.entity.BaseResult;
import com.hzya.frame.web.entity.JsonResultEntity;

import javax.annotation.Resource;



/**
 * @description: 模板视图表  service
 * @tableName:   sys_template_view
 * @entityName:  TemplateView
 * @author: 	 gjh
 * @history:	 1.0
 */
@Service(value="templateviewService")
public class  TemplateViewServiceImpl extends ServiceUtil implements ITemplateViewService{
	private final Logger logger = LoggerFactory.getLogger(this.getClass());

	@Resource
	protected ITemplateViewMapper  templateviewMapper;

	@Override
	public JsonResultEntity test(TemplateView object) {
		return BaseResult.getSuccessMessageEntity("获取应用成功");
	}

}
