package com.hzya.frame.sys.userRole.service.impl;

import com.hzya.frame.serviceUtil.ServiceUtil;
import com.hzya.frame.web.entity.BaseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.hzya.frame.sys.userRole.entity.UserRole;
import com.hzya.frame.sys.userRole.service.IUserRoleService;
import com.hzya.frame.sys.userRole.dao.IUserRoleMapper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import com.hzya.frame.web.entity.BaseResult;
import com.hzya.frame.web.entity.JsonResultEntity;

import javax.annotation.Resource;



/**
 * @description: 人员角色管理  service
 * @tableName:   sys_user_role
 * @entityName:  UserRole
 * @author: 	 gjh
 * @history:	 1.0
 */
@Service(value="userroleService")
public class  UserRoleServiceImpl extends ServiceUtil implements IUserRoleService{
	private final Logger logger = LoggerFactory.getLogger(this.getClass());

	@Resource
	protected IUserRoleMapper  userRoleMapper;

	@Override
	public JsonResultEntity test(UserRole object) {
		return BaseResult.getSuccessMessageEntity("获取应用成功");
	}

}
