package com.hzya.frame.sys.userTemplateView.service.impl;

import com.hzya.frame.web.entity.BaseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.hzya.frame.serviceUtil.ServiceUtil;
import com.hzya.frame.sys.userTemplateView.entity.UserTemplateView;
import com.hzya.frame.sys.userTemplateView.service.IUserTemplateViewService;
import com.hzya.frame.sys.userTemplateView.dao.IUserTemplateViewMapper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import com.hzya.frame.web.entity.BaseResult;
import com.hzya.frame.web.entity.JsonResultEntity;

import javax.annotation.Resource;



/**
 * @description: 用户模板视图展示表  service
 * @tableName:   sys_user_template_view
 * @entityName:  UserTemplateView
 * @author: 	 gjh
 * @history:	 1.0
 */
@Service(value="usertemplateviewService")
public class  UserTemplateViewServiceImpl extends ServiceUtil implements IUserTemplateViewService{
	private final Logger logger = LoggerFactory.getLogger(this.getClass());

	@Resource
	protected IUserTemplateViewMapper  usertemplateviewMapper;

	@Override
	public JsonResultEntity test(UserTemplateView object) {
		return BaseResult.getSuccessMessageEntity("获取应用成功");
	}

}
