package com.hzya.frame.sys.versionParameter.entity;

import cn.dev33.satoken.stp.StpUtil;
import com.hzya.frame.uuid.UUIDUtils;
import com.hzya.frame.web.action.SessionContext;
import com.hzya.frame.web.entity.BaseEntity;

import java.util.Date;

/**
 * @description: 产品版本参数表
 * @tableName:   sys_version_parameter
 * @entityName:  sysVersionParameter
 * @author: 	 llg
 * @history:	 1.0
 */
public class  SysVersionParameter   extends BaseEntity {
	/** 主键ID*/
	private String id;
	/** 产品id */
	private String productId;
	/** 产品版本id */
	private String productVersionId;
	/** 参数 */
	private String parameter;
	/** 数据类型 */
	private String dateType;
	/** 参数描述 */
	private String description;
	/** 是否必填 */
	private String requireds;
	/** 备注 */
	private String remarks;
	/** 排序号 */
	private Long sorts;
	/** 组织机构ID */
	private String orgId;
	/** 状态 1有效 0无效 */
	private String sts;
	/** 创建人ID*/
	private String createUserId;
	/** 创建时间ID */
	private Date createTime;
	/** 修改时间*/
	private Date modifyTime;
	/** 修改人ID*/
	private String modifyUserId;


	public String getProductId() {
		return productId;
	}

	public void setProductId(String productId) {
		this.productId = productId;
	}

	public String getProductVersionId() {
		return productVersionId;
	}

	public void setProductVersionId(String productVersionId) {
		this.productVersionId = productVersionId;
	}

	public String getParameter() {
		return parameter;
	}

	public void setParameter(String parameter) {
		this.parameter = parameter;
	}

	public String getDateType() {
		return dateType;
	}

	public void setDateType(String dateType) {
		this.dateType = dateType;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getRequireds() {
		return requireds;
	}

	public void setRequireds(String requireds) {
		this.requireds = requireds;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public Long getSorts() {
		return sorts;
	}

	public void setSorts(Long sorts) {
		this.sorts = sorts;
	}

	public String getOrgId() {
		return orgId;
	}

	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}



	public String getCreateUserId() {
		return createUserId;
	}

	public void setCreateUserId(String createUserId) {
		this.createUserId = createUserId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}

	public String getModifyUserId() {
		return modifyUserId;
	}

	public void setModifyUserId(String modifyUserId) {
		this.modifyUserId = modifyUserId;
	}

	public void setCreateVersionParameter() {
		this.id = UUIDUtils.getUUID();
		this.orgId ="";
		this.sts = "Y";
		this.createUserId = String.valueOf( StpUtil.getLoginId());
		this.createTime = new Date();
		this.modifyTime = new Date();
		this.modifyUserId  = String.valueOf( StpUtil.getLoginId());
	}
	public void setUpdateVersionParameter() {
		this.modifyTime = new Date();
		this.modifyUserId  = String.valueOf( StpUtil.getLoginId());
	}

	@Override
	public String getId() {
		return id;
	}

	@Override
	public void setId(String id) {
		this.id = id;
	}

	@Override
	public String getSts() {
		return sts;
	}

	@Override
	public void setSts(String sts) {
		this.sts = sts;
	}
}
