package com.hzya.frame.sys.viewFiled.service.impl;

import com.hzya.frame.web.entity.BaseResult;
import org.springframework.stereotype.Service;
import com.hzya.frame.serviceUtil.ServiceUtil;
import com.hzya.frame.sys.viewFiled.entity.ViewFiled;
import com.hzya.frame.sys.viewFiled.service.IViewFiledService;
import com.hzya.frame.sys.viewFiled.dao.IViewFiledMapper;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import com.hzya.frame.web.entity.JsonResultEntity;

import javax.annotation.Resource;



/**
 * @description: 显示字段表  service
 * @tableName:   sys_view_filed
 * @entityName:  ViewFiled
 * @author: 	 gjh
 * @history:	 1.0
 */
@Service(value="viewfiledService")
public class  ViewFiledServiceImpl extends ServiceUtil implements IViewFiledService{
	private final Logger logger = LoggerFactory.getLogger(this.getClass());

	@Resource
	protected IViewFiledMapper  viewfiledMapper;

	@Override
	public JsonResultEntity test(ViewFiled object) {
		return BaseResult.getSuccessMessageEntity("获取应用成功");
	}

}
