package com.hzya.frame.sysnew.application.api.dao.impl;

import com.hzya.frame.sysnew.application.api.entity.SysApplicationApiDto;
import com.hzya.frame.sysnew.application.api.entity.SysApplicationApiEntity;
import com.hzya.frame.sysnew.application.api.dao.ISysApplicationApiDao;
import com.hzya.frame.sysnew.application.api.entity.SysApplicationApiVo;
import org.springframework.stereotype.Repository;
import com.hzya.frame.basedao.dao.MybatisGenericDao;

import java.util.List;

/**
 * 应用api(SysApplicationApi)表数据库访问层
 *
 * @author makejava
 * @since 2023-09-22 16:23:25
 */
@Repository(value = "SysApplicationApiDaoImpl")
public class SysApplicationApiDaoImpl extends MybatisGenericDao<SysApplicationApiEntity, String> implements ISysApplicationApiDao{

    @Override
    public List<SysApplicationApiVo> queryVoList(SysApplicationApiDto entity) {
        List<SysApplicationApiVo> o = (List<SysApplicationApiVo>) super.selectList(getSqlIdPrifx() + "queryVoList", entity);
        return o;

    }
    @Override
    public List<SysApplicationApiEntity> queryBaseName(SysApplicationApiEntity entity) {
        List<SysApplicationApiEntity> o = (List<SysApplicationApiEntity>) super.selectList(getSqlIdPrifx() + "queryBaseName", entity);
        return o;

    }


    //  查询符合条件的数量
    @Override
    public Integer entity_count_not_id(SysApplicationApiEntity entity) {
        Integer o = (Integer) super.selectOne(getSqlIdPrifx() + "entity_count_not_id", entity);
        return o;

    }  //  查询符合条件的数量
    @Override
    public Integer checkCatalogue(SysApplicationApiEntity entity) {
        Integer o = (Integer) super.selectOne(getSqlIdPrifx() + "checkCatalogue", entity);
        return o;

    }
}

