package com.hzya.frame.sysnew.application.api.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sysnew.application.api.entity.SysApplicationApiEntity;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.web.entity.JsonResultEntity;

import java.util.List;

/**
 * 应用api(SysApplicationApi)表服务接口
 *
 * @author makejava
 * @since 2023-09-22 16:23:32
 */
public interface ISysApplicationApiService extends IBaseService<SysApplicationApiEntity, String>{

    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 查询应用api列表
     * @Date 11:52 上午 2024/3/27
     **/
    JsonResultEntity queryEntity(JSONObject jsonObject);

    JsonResultEntity queryMultiAppPage(JSONObject jsonObject);

    /**
     * 模糊查询，联查sys_app
     * @param entity
     * @return
     */
    List<SysApplicationApiEntity> queryLike(SysApplicationApiEntity entity);
}
