package com.hzya.frame.sysnew.application.plugin.dao.impl;

import com.hzya.frame.sysnew.application.api.entity.SysApplicationApiVo;
import com.hzya.frame.sysnew.application.plugin.entity.SysApplicationPluginDto;
import com.hzya.frame.sysnew.application.plugin.entity.SysApplicationPluginEntity;
import com.hzya.frame.sysnew.application.plugin.dao.ISysApplicationPluginDao;
import org.springframework.stereotype.Repository;
import com.hzya.frame.basedao.dao.MybatisGenericDao;

import java.util.List;

/**
 * 插件表(SysApplicationPlugin)表数据库访问层
 *
 * @author makejava
 * @since 2023-09-22 16:29:56
 */
@Repository(value = "SysApplicationPluginDaoImpl")
public class SysApplicationPluginDaoImpl extends MybatisGenericDao<SysApplicationPluginEntity, String> implements ISysApplicationPluginDao{

    @Override
    public List<SysApplicationPluginEntity> queryListlike(SysApplicationPluginDto entity) {

        List<SysApplicationPluginEntity> o = (List<SysApplicationPluginEntity>) super.selectList(getSqlIdPrifx() + "queryListlike", entity);

        return o;
    }
}

