package com.hzya.frame.sysnew.comparison.controlsLog.dao;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.sysnew.comparison.controlsLog.entity.ControlsLogEntity;

public interface IControlsLogDao extends IBaseDao<ControlsLogEntity, String> {

    /**
     *
     * @content 操作日志保存
     * @Param formmainId:主表id,sourceName：来源名称，code：来源编码,sourceData:源数据,optionType:操作类型,optionName:操作人,dbName:数据库名称,dataType:类型：1成功，2失败
     * @Return
     * @Author hecan
     * @Date 2024/6/5 15:29
     * **/
    @DS("master")
    ControlsLogEntity saveControlsLog(String formmainId,String sourceName,String code,String sourceData,String optionType,String optionName,String dbName,String dataType,String remark);

}
