package com.hzya.frame.sysnew.comparison.dao;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.sysnew.comparison.entity.ComparisonDetailsEntity;

import java.util.List;
import java.util.Map;

public interface IComparisonDetailsDao extends IBaseDao<ComparisonDetailsEntity, String> {

   /**
    *
    * @content 保存通用数据子表数据
    * @Param
    * @Return
    * @Author hecan
    * @Date 2024/5/9 10:41
    * **/
    ComparisonDetailsEntity saveComparisonDetails(ComparisonDetailsEntity comparisonDetailsEntity);

    /**
     *
     * @content 更新通用数据子表数据
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/5/9 10:41
     * **/
    Integer updateComparisonDetailsByType(ComparisonDetailsEntity comparisonDetailsEntity);

    /**
     *
     * @content 删除通用数据子表数据
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/5/9 14:11
     * **/
    Integer deleteComparisonDetails(ComparisonDetailsEntity comparisonDetailsEntity);

     /**
      *
      * @content 分页查询子表数据
      * @Param
      * @Return
      * @Author hecan
      * @Date 2024/5/9 15:34
      * **/
     List<Map<String,Object>> queryComparisonDetailsPage(ComparisonDetailsEntity comparisonDetailsEntity);
}
