package com.hzya.frame.sysnew.comparison.serviceData.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.sysnew.application.entity.SysExtensionApiEntity;
import com.hzya.frame.sysnew.comparison.entity.ComparisonEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

public interface IServiceDataService extends IBaseService<ComparisonEntity,String> {

    /**
     *
     * @content 查询需要抽取得数据
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024-11-28 14:54
     * **/
    JsonResultEntity queryDocumentView(JSONObject json);

    /**
     *
     * @content 查询支付状态和支付时间未回写得数据,并且查询电子回单数据
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024-12-07 10:14
     * **/
    JsonResultEntity queryResultIsNull(JSONObject json);

    /**
     *
     * @content 扩展方法 获取数据源
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024-12-07 10:48
     * **/
    SysExtensionApiEntity addDataSourceCode(SysExtensionApiEntity entity);

    SysExtensionApiEntity getToken(SysExtensionApiEntity entity);

}
