package com.hzya.frame.sysnew.generalData.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.sysnew.generalData.entity.GeneralDataEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

public interface IGeneralDataService extends IBaseService<GeneralDataEntity, String> {
    
    /**
     * 
     * @content 新增档案对照
     * @Param 
     * @Return 
     * @Author hecan 
     * @Date 2024/5/6 16:23
     * **/
    JsonResultEntity saveEntity(JSONObject jsonObject);

    /**
     *
     * @content 查询档案对照
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/5/6 17:00
     * **/
    JsonResultEntity queryEntityPage(JSONObject jsonObject);

    /**
     *
     * @content 编辑档案对照
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/5/6 17:16
     * **/
    JsonResultEntity updateEntity(JSONObject jsonObject);

    /**
     *
     * @content 删除档案对照
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/5/6 17:23
     * **/
    JsonResultEntity deleteEntity(JSONObject jsonObject);

    /**
     *
     * @content 查询单个档案对照
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/5/6 17:26
     * **/
    JsonResultEntity getEntity(JSONObject jsonObject);
}
