package com.hzya.frame.sysnew.integtationTaskLiving.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sysnew.integtationTaskLiving.entity.IntegrationTaskLivingEntity;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * 集成任务-实例(IntegrationTaskLiving)表服务接口
 *
 * @author makejava
 * @since 2024-05-06 15:37:09
 */
public interface IIntegrationTaskLivingService extends IBaseService<IntegrationTaskLivingEntity, String>{

    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 查询任务实例列表分页
     * @Date 11:52 上午 2024/3/27
     **/
    JsonResultEntity queryEntityPage(JSONObject jsonObject);


    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 获取任务
     * @Date 2:36 下午 2024/3/27
     **/
    JsonResultEntity getEntity(JSONObject jsonObject);
}
