package com.hzya.frame.sysnew.integtationTaskLog.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sysnew.integtationTaskLog.entity.IntegrationTaskLogEntity;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * 集成任务-实例详情(IntegrationTaskLog)表服务接口
 *
 * @author makejava
 * @since 2024-05-06 15:37:55
 */
public interface IIntegrationTaskLogService extends IBaseService<IntegrationTaskLogEntity, String>{
    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 查询任务日志列表分页
     * @Date 11:52 上午 2024/3/27
     **/
    JsonResultEntity queryEntityPage(JSONObject jsonObject);


    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 获取任务
     * @Date 2:36 下午 2024/3/27
     **/
    JsonResultEntity getEntity(JSONObject jsonObject);
}
