package com.hzya.frame.sysnew.messageManage.dao;

import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.sysnew.messageManage.entity.SysMessageManageEntity;
import com.hzya.frame.sysnew.messageManage.entity.SysMessageManagePageVo;

import java.util.List;

/**
 * 消息管理主表(sys_message_manage: table)表数据库访问层
 *
 * @author makejava
 * @since 2023-08-28 16:45:42
 */
public interface ISysMessageManageDao extends IBaseDao<SysMessageManageEntity, String> {

    /**
     * @Author lvleigang
     * @Description  返回pageVo对象
     * @Date 9:56 上午 2023/8/29
     * @param entity
     * @return java.util.List<com.hzya.frame.sysnew.messageManage.entity.SysMessageManagePageVo>
     **/
    List<SysMessageManagePageVo> queryListByPageVo(SysMessageManageEntity entity);

    Integer entity_count_not_id(SysMessageManageEntity checkEntity);
}

