package com.hzya.frame.sysnew.messageManageLogDetail.dao;

import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.sysnew.messageManageLogDetail.entity.SysMessageManageLogDetailEntity;

import java.util.List;

public interface ISysMessageManageLogDetailDao extends IBaseDao<SysMessageManageLogDetailEntity, String> {
    /**
     *
     * @content 查询日志明细数据，用于备份
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/3/7 13:50
     * **/
    List<SysMessageManageLogDetailEntity> queryBackupDataDetail(SysMessageManageLogDetailEntity entity);

    /**
     *
     * @content 备份完之后，批量更新明细数据
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/3/7 14:08
     * **/
    Integer updateBackupDataDetail(List<SysMessageManageLogDetailEntity> entities);

    /**
     *
     * @content 备份完之后，批量删除日志明细数据
     * @Param
     * @Return
     * @Author hecan
     * @Date 2024/3/7 15:03
     * **/
    Integer deleteBackupDataDetail(List<SysMessageManageLogDetailEntity> entities);
}
