package com.hzya.frame.sysnew.organ.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sysnew.organ.entity.SysOrganEntity;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * 组织机构表(Sys_Organ)(SysOrgan)表服务接口
 *
 * @author makejava
 * @since 2024-03-26 15:24:28
 */
public interface ISysOrganService extends IBaseService<SysOrganEntity, String> {

    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 查询组织树
     * @Date 11:52 上午 2024/3/27
     **/
    JsonResultEntity queryEntityTree(JSONObject jsonObject);

    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 保存组织
     * @Date 2:36 下午 2024/3/27
     **/
    JsonResultEntity saveEntity(JSONObject jsonObject);

    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 获取组织
     * @Date 2:36 下午 2024/3/27
     **/
    JsonResultEntity getEntity(JSONObject jsonObject);

    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 修改组织
     * @Date 2:37 下午 2024/3/27
     **/
    JsonResultEntity updateEntity(JSONObject jsonObject);

    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 删除组织
     * @Date 2:37 下午 2024/3/27
     **/
    JsonResultEntity deleteEntity(JSONObject jsonObject);

    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 启用停用组织
     * @Date 2:37 下午 2024/3/27
     **/
    JsonResultEntity enableDisableEntity(JSONObject jsonObject);

}
