package com.hzya.frame.sysnew.sysInterface.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.sysnew.sysInterface.entity.SysInterfaceEntity;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.web.entity.JsonResultEntity;

/**
 * 系统接口表(SysInterface)表服务接口
 *
 * @author makejava
 * @since 2024-04-09 08:53:28
 */
public interface ISysInterfaceService extends IBaseService<SysInterfaceEntity, String> {

    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 查询接口列表分页
     * @Date 11:52 上午 2024/3/27
     **/
    JsonResultEntity queryEntityPage(JSONObject jsonObject);

    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 查询接口列表
     * @Date 11:52 上午 2024/3/27
     **/
    JsonResultEntity queryEntity(JSONObject jsonObject);

    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 保存接口
     * @Date 2:36 下午 2024/3/27
     **/
    JsonResultEntity saveEntity(JSONObject jsonObject);

    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 获取接口
     * @Date 2:36 下午 2024/3/27
     **/
    JsonResultEntity getEntity(JSONObject jsonObject);

    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 修改接口
     * @Date 2:37 下午 2024/3/27
     **/
    JsonResultEntity updateEntity(JSONObject jsonObject);

    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 删除接口
     * @Date 2:37 下午 2024/3/27
     **/
    JsonResultEntity deleteEntity(JSONObject jsonObject);

    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Author lvleigang
     * @Description 启用停用接口
     * @Date 2:37 下午 2024/3/27
     **/
    JsonResultEntity enableDisableEntity(JSONObject jsonObject);
}
