package com.hzya.frame.sysnew.user.dao.impl;

import com.hzya.frame.sysnew.organ.entity.SysOrganEntity;
import com.hzya.frame.sysnew.user.entity.SysUserEntity;
import com.hzya.frame.sysnew.user.dao.ISysUserDao;
import org.springframework.stereotype.Repository;
import com.hzya.frame.basedao.dao.MybatisGenericDao;

import java.util.List;

/**
 * 用户表(SysUser)表数据库访问层
 *
 * @author makejava
 * @since 2024-03-26 15:27:45
 */
@Repository(value = "SysUserDaoImpl")
public class SysUserDaoImpl extends MybatisGenericDao<SysUserEntity, String> implements ISysUserDao {

    @Override
    public List<SysUserEntity> queryByLikePerson(SysUserEntity entity) {
        List<SysUserEntity> o = super.query(getSqlIdPrifx() + "queryByLikePerson", entity);
        return o;
    }
}

