package com.hzya.frame.sysnew.warningInterface.dao.impl;

import com.hzya.frame.sysnew.warningInterface.entity.SysWarningInterfaceEntity;
import com.hzya.frame.sysnew.warningInterface.dao.ISysWarningInterfaceDao;
import org.springframework.stereotype.Repository;
import com.hzya.frame.basedao.dao.MybatisGenericDao;

import java.util.List;

/**
 * 预警接口表(SysWarningInterface)表数据库访问层
 *
 * @author makejava
 * @since 2024-09-03 10:06:19
 */
@Repository(value = "SysWarningInterfaceDaoImpl")
public class SysWarningInterfaceDaoImpl extends MybatisGenericDao<SysWarningInterfaceEntity, String> implements ISysWarningInterfaceDao{
    @Override
    public List<SysWarningInterfaceEntity> getWarningAppList(){
        List tempList = (List<SysWarningInterfaceEntity>)super.selectList(getSqlIdPrifx() + "warning_app_list", null);
        return tempList;
    }
}

