package com.hzya.frame.bip.v3.v2207.dao.impl;

import cn.hutool.http.HttpRequest;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.bip.v3.v2207.dao.IBipSupplierDao;
import com.hzya.frame.bip.v3.v2207.entity.BipSupplierEntity;
import com.hzya.frame.util.HttpUtil;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository("bipSupplierDaoImpl")
public class BipSupplierDaoImpl extends MybatisGenericDao<BipSupplierEntity,String> implements IBipSupplierDao {
    /**
     * 查询BIP供应商
     * @param bipSupplierEntity
     * @return
     */
    @DS("oracle91")
    @Override
    public List<BipSupplierEntity> thirdInterfaceGetSupplier(BipSupplierEntity bipSupplierEntity) {
        return super.query("com.hzya.frame.bip.v3.v2207.dao.impl.BipSupplierDaoImpl.thirdInterfaceGetSupplier",bipSupplierEntity);
    }
}
