package com.hzya.frame.bip.v3.v2207.service;


import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.bip.v3.v2207.entity.BipTokenVo;
import com.hzya.frame.sysnew.application.entity.SysExtensionApiEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;

public interface IBipSsoService extends  IBaseService<BipTokenVo,String>{
/**
 *
 * @content Bip单点统一认证接口
 * @author laborer
 * @date 2024/5/30 0030 13:45
 *
 */

    String erpSso(HttpServletRequest request, String ticket)throws Exception;
    /**
     *
     * @content 此方法获取sso动态加密，heade参数动态传入
     * @author laborer
     * @date 2024/5/27 0027 11:38
     *
     */
    SysExtensionApiEntity ssoEncrypt(SysExtensionApiEntity entity);
}