package com.hzya.frame.bip.v3.v2207.service;


import com.alibaba.fastjson.JSONObject;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.bip.v3.v2207.entity.BipSupplierEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

public interface IBipV32207Service extends  IBaseService<BipSupplierEntity,String>{

    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Description 获取token
     **/
    JsonResultEntity thirdInterfaceGetToken(JSONObject jsonObject);


    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Description 获取供应商
     **/
    @DS("oracle91")
    JsonResultEntity thirdInterfaceGetSupplier(JSONObject jsonObject);


    /**
     * @param jsonObject
     * @return com.hzya.frame.web.entity.JsonResultEntity
     * @Description 新增供应商
     **/
    JsonResultEntity thirdInterfaceSaveSupplier(JSONObject jsonObject);

    /**
     * 供应商传递OA
     * @param jsonObject
     * @return
     */
    JsonResultEntity thirdInterfaceSendOa(JSONObject jsonObject) throws Exception;

    /**
     * 获取BIP组织数据
     * @param jsonObject
     * @return
     */
    JsonResultEntity thirdInterfaceGetOrgs(JSONObject jsonObject);
}