package com.hzya.frame.seeyon.cbs8.service;

import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.seeyon.cbs8.entity.AgentPaymentDetailEntity;
import com.hzya.frame.seeyon.cbs8.entity.AgentPaymentEntity;

import java.util.List;

/**
 * @Description OA代发代扣
 * @Author xiangerlin
 * @Date 2024/6/18 15:04
 **/
public interface IAgentPaymentService extends IBaseService<AgentPaymentEntity,String> {

    /**
     * 查询待支付待代发代扣 主表
     * @param entity
     * @return
     * @throws Exception
     */
    List<AgentPaymentEntity> queryUnpaid(AgentPaymentEntity entity) throws Exception;

    /**
     * 根据支付申请单号查询
     * @param agentPayment
     * @return
     * @throws Exception
     */
    AgentPaymentEntity queryByApplyCode(AgentPaymentEntity agentPayment)throws Exception;

    /**
     * 查询明细表
     * @param entity
     * @return
     * @throws Exception
     */
    List<AgentPaymentDetailEntity> queryDetails(AgentPaymentDetailEntity entity)throws Exception;

    /**
     * 更新支付状态
     * @param entity
     */
    void updateResult(AgentPaymentEntity entity);
}
