package com.hzya.frame.seeyon.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.seeyon.dao.ICapFormDefinitionDao;
import com.hzya.frame.seeyon.dao.ICtpFileDao;
import com.hzya.frame.seeyon.entity.CapFormDefinitionEntity;
import com.hzya.frame.seeyon.entity.CtpFileEntity;
import com.hzya.frame.seeyon.paybill.entity.PayBillEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 *
 * @content OA字段配置表DAO
 * @className: Administrator
 * @author laborer
 * @date 2024-09-09 16:00
 *
 */
@Repository(value = "CapFormDefinitionDaoImpl")
public class CapFormDefinitionDaoImpl extends MybatisGenericDao<CapFormDefinitionEntity,String> implements ICapFormDefinitionDao {
    @DS("#fieldInfo.dataSourceCode")
    @Override
    public List<CapFormDefinitionEntity> getFormFiled(CapFormDefinitionEntity fieldInfo) {
        return (List<CapFormDefinitionEntity>) selectList("com.hzya.frame.seeyon.entity.CapFormDefinitionEntity.CapFormDefinitionEntity_list_base",fieldInfo);
    }
    @DS("#fieldInfo.dataSourceCode")
    @Override
    public int deleteByKey(CapFormDefinitionEntity fieldInfo) {
        return super.delete("com.hzya.frame.seeyon.entity.CapFormDefinitionEntity.CapFormDefinitionEntity_delete",fieldInfo);
    }
    @DS("#fieldInfo.dataSourceCode")
    @Override
    public List<CapFormDefinitionEntity> getFormFiledByFileValue(CapFormDefinitionEntity fieldInfo) {
        return (List<CapFormDefinitionEntity>) selectList("com.hzya.frame.seeyon.entity.CapFormDefinitionEntity.CapFormDefinitionEntity_list_table_info",fieldInfo);
    }
}
