package com.hzya.frame.seeyon.paybill.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.seeyon.entity.SeeYonInterFaceEntity;
import com.hzya.frame.seeyon.paybill.dao.IPayBillDao;
import com.hzya.frame.seeyon.paybill.entity.PayBillEntity;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author 👻👻👻👻👻👻👻👻👻👻 gjh
 * @version 1.0
 * @content
 * @date 2023-08-30 10:27
 */
@Repository(value = "PayBillDaoImpl")
public class PayBillDaoImpl extends MybatisGenericDao implements IPayBillDao {

    @DS("#entity.dataSourceCode")
    @Override
    public List<PayBillEntity> getOaEngineerPay(PayBillEntity entity) {
        return super.selectList("com.hzya.frame.seeyon.paybill.dao.impl.PayBillDaoImpl.PayBillEntity_list_base",entity);
    }
    @DS("#pay.dataSourceCode")
    @Override
    public int updateState(PayBillEntity pay) {
        return super.update("com.hzya.frame.seeyon.paybill.dao.impl.PayBillDaoImpl.PayBillEntity_update",pay);
    }
}
