package com.hzya.frame.u8c.bdcorp.dao;

import com.hzya.frame.u8c.bdcorp.entity.BdCorpEntity;
import com.hzya.frame.basedao.dao.IBaseDao;

import java.util.List;

/**
 * (bd_corp: table)表数据库访问层
 *
 * @author makejava
 * @since 2023-09-06 14:47:17
 */
public interface IBdCorpDao extends IBaseDao<BdCorpEntity, String> {
    /**
     *
     * @content 通过组织主键，采购组织编码获取采购组织主键
     * @author makejava
     * @date 2023/12/11 0011 16:32
     *
     */
    List<BdCorpEntity> getPoPkByOrg(BdCorpEntity poCorp);
    /**
     *
     * @content 通过组织主键，采购组织编码获取库存组织主键
     * @author makejava
     * @date 2023/12/11 0011 16:32
     *
     */
    List<BdCorpEntity> getStockPkByOrg(BdCorpEntity poCorp);
    /**
     *
     * @content 通过组织主键，销售组织编码获取销售组织主键
     * @author makejava
     * @date 2023/12/11 0011 16:32
     *
     */
    List<BdCorpEntity> getSoPkByOrg(BdCorpEntity poCorp);
}

