package com.hzya.frame.u8c.bdcorp.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.u8c.Invmandoc.entity.BdInvmandocEntity;
import com.hzya.frame.u8c.bdcorp.entity.BdCorpEntity;
import com.hzya.frame.u8c.bdcorp.dao.IBdCorpDao;
import org.springframework.stereotype.Repository;
import com.hzya.frame.basedao.dao.MybatisGenericDao;

import java.util.List;

/**
 * (BdCorp)表数据库访问层
 *
 * @author makejava
 * @since 2023-09-06 14:47:17
 */
@Repository("serviceBdCorpDaoImpl")
public class BdCorpDaoImpl extends MybatisGenericDao<BdCorpEntity, String> implements IBdCorpDao{
    @DS("sowow_sqlserver_pro")
    @Override
    public List<BdCorpEntity> getPoPkByOrg(BdCorpEntity poCorp) {
        return (List<BdCorpEntity>) super.selectList("com.hzya.frame.u8c.bdcorp.dao.impl.BdCorpDaoImpl.entity_list_base_po", poCorp);
    }
    @DS("sowow_sqlserver_pro")
    @Override
    public List<BdCorpEntity> getStockPkByOrg(BdCorpEntity poCorp) {
        return (List<BdCorpEntity>) super.selectList("com.hzya.frame.u8c.bdcorp.dao.impl.BdCorpDaoImpl.entity_list_base_stock", poCorp);
    }
    @DS("sowow_sqlserver_pro")
    @Override
    public List<BdCorpEntity> getSoPkByOrg(BdCorpEntity poCorp) {
        return (List<BdCorpEntity>) super.selectList("com.hzya.frame.u8c.bdcorp.dao.impl.BdCorpDaoImpl.entity_list_base_so", poCorp);
    }
}

